AutoCAD Civil 3D :: Eliminating A Segment In A Lot Line
Oct 9, 2012
I have a subdivision plat that I'm working on with a curved lot line. When I label this particular lot line, Civil 3D labels it like it's two different segments. In other words, instead of labeling the line as a 100 foot long arc with a radius of 100 feet, it labels it as a 60 foot arc and a 40 foot arc. I can't figure out how to combine the two segments.
All of the lots lines were created from polyline objects, and there was no break in the original line work (nor is there any indication of a break in this location when I select it).
I have a bunch of lines that are created with multiple segments. I'd like to annotate the total length. I can't figure out to do this without labelling each segment along the line using Line and Curve commands. How do I get one annotation that only shows the total of all the sements?
I am trying to create surface elevation labels along a polyline and I am having an issue with the label anchor point. I have created a line label style that uses a reference text to produce the elevation from a specified surface, however when I insert the label the default anchor point for the label is in the center of the line segment and that is where the reference text is taking the surface elevation. I am looking for the elevation of the surface at the start of each line segment, and I do not know how I can make it stop defaulting to the center of the line segment.
Attached is an overview of what my labels look like, where the anchor point is, and the layout properties within my label style. I am using C3D 2012.
I have a feature line, and a labels table created for it. The table has the following columns: Line or Curve #, Station, Segment Start X, Segment Start Y, Segment Start X, Bearing/Delta, Length, Radius, Grade Ahead.
what code I need for the table to display the station of the feature line at the start of the segment?
I also have an alignment with the same stationing over top of the feature line, but Im not sure how to code a reference text into the table either. I can create an end segment reference text for the plan view labels but even if I copy that code into the labels table it doesn't work.
I'm trying to figure a "fast" algorithm to obtain the amount of material (in linear distance) between 2 points within an assembly i.e. if I draw a line between any two points P1 & P2 in an assembly, what is the length of this segment that goes through material and what is the length that goes trough empty space?
For now I'm creating a thin cylinder as a new part, place it with one end at P1 and the other end at P2, calculate the interference volume of this body with the rest of the assembly and divide this number by the total volume of the cylinder. but has some problems:
1. It is VERY slow, and I want to call this function lots of times. 3. Is not accurate due to the finite diameter of the cylinder. 2. If the assembly has some interferences, the result is wrong (accounting same volume more than once)
I made a 3D box shape in AutoCAD. I would like to draw a line on one of the surfaces of the box. Also I know you can use the the linear tool under Annotations to display dimensions of 2D lines. But I don't know how to do it so that it that shows the dimension on a vertical axis as shown in the picture below.
how can i draw this red line in autocad, its an arc from point 1 to point 3 in spherical 4 side segment? point 1 to point 2 to point 3 to point 4 closing the segment at point 1 and point 4 (fused)
I have to create a hole (extrude) in a wall part in my assembly document where a stack will be installed.
To determine where, I verify if a line segment pass through the wall (XY Plane).
But I get an error with the command: IntersectWithLine
Here's my
Public Function IntersectionPoint(ByVal app As Inventor.Application, ByVal wp As Inventor.WorkPlane) As Inventor.Point Dim oTransGeom As Inventor.TransientGeometry = app.TransientGeometry Dim startPoint As Inventor.Point = oTransGeom.CreatePoint(Me.StartVertex.X, [Code] ......
is there a way to limit the length of a line segment stay a default length instead of it getting longer as you drag your mouse ? For example in a program called ChemBioDraw you can limit the default length for drawing molecules
If I do Transform, Move, 40 40 40 0 Copy it seems to just make another line segment on top of the one I already have. I want to copy it down and to the right continually pressing CTRL+D. I think I am making a simple mistake since I have done this before.
We have a large pipe project that forms a very large 'C' shape. To follow convention with advancing stations from left to right and north being up, we are running into some problems.
1). For Civil 3D, can you reverse the profile for a section, say station 9+00 to 18+00 only. The remainder would be one direction.
2). What do others use for convention for north arrow direction and advancing stations?
Our first sheet goes from east to west, the second and third sheets run north to south, the next ones are west to east, and the final ones are north to south.
I create a feature line including some arcs. While editing I need to redimension the feature line, but the arcs will lose tangency. Therefore I have to break/ trim/delete/manually edit the tangents until they intersect and then FILLET them to get a new arc. I tried EDIT CURVE with 0 Radius but it's not acceptable. Any workaround on this one (filleting feature lines like polylines or a closing option)?
How can I remove Parcel Segment Element? I have oPar as AeccParcel and oSeg as AeccParcelSegment
AeccParcelLoop loop = oPar.ParcelLoops[0]; List<AeccParcelSegmentElement> SegElem = new List<AeccParcelSegmentElement>(); foreach (AeccParcelSegmentElement segE in loop) { SegElem.Add(segE); // Seem not good idea here.. because all segE in this list look the same } foreach (AeccParcelSegmentElement oSE in oSeg) { if (!SegElem.Contains(oSE))
***delete/remove oSE here //can't find info, how to delete/remove this segment element }
I was upgraded to version 14 on Friday, and when I opened my drawing that was started in version 2011, the parcel that I created looks different, and not in a good way. My parcel boundary now appears as if it were a polyline with linetype generation is enabled, whereas in previous versions, linetype generation would reset at each vertex. How do I change the way my parcel segments display in version 14?
When preparing surveys i often use the annotative labels and tables available in Civil 3d. I am familiar with modifying label & table styles, but i have not yet been able to figure out how i can add a column to my table that contains fillable text. Because of that i am forced to create a table and then add text in paper space adjacent to or over the top of it.
I extracted a dynamic feature line from the gutter flowline of my Corridor. I labeled Multiple Segments for the feature line with a grade and vertex style that uses the "General Segment Grade" text component.
I am overiding lane cross slopes in the Section Editior and the segment grade labels for the extracted feature line do not update after I Update Corridor in the Section Editior.
If I raise/lower the CL profile of the corridor, the label updates. Just not reacting to these Corridor edits.
Peculiar behavior: The label will update to reflect the Corridor update if I Isolate it.
Trying to use the width tool, I ran into the following problem. I would like to have a smooth transition of the stroke width between two width points while keeping the original stroke width unchanged outside of that line segment.
There are four width points here: two end points and two in between. The original stroke width is 200. The two on the left have one side set to 100 while the two on the right have one side set to 50. I would like to eliminate the distortion of the line width occuring in the first and third line segments. The only solution that I have come up with so far is to place two additional width points very close to the two middle width points: one with a 100-unit side to the left of the second point in the picture and one with a 50-unit side to the right of the third point in the picture. Yet there will be a small distirtion in between.
I recently stopped using my HP755 plotter and am now plotting "dwg to pdf". The problem is when I go to plot I get a warning message stating that "this plotter configuration cannot be used" and it goes on to list a few reasons why and selects the "none" plotter. Then when at the plot setup page I can continue to plot as I normally would. Why am I getting this warning and how do I stop it?
In this moment I am gathering data in order to create a drawing. The data is located iin several files but the problem is that either I use external reference or copy-paste the data I will have duplicate information. How is possible to gather all the data in one file with no duplicate objects?
I mostly use SAE and ANSI screws, bolts, pins and etc in my assemblies. It is tiresome to wade through the DIN, ISO, JAL and other components when looking for a particular inch bolt. Is there a way to unload the excess library listings?
I am looking to draw my pipe with a thicker appearance than the typical line of width "0". Our storm pipes are usually drawn with this so as to stand out from other utilities. If the pipe is represented by a polyline, I have usually adjusted the "Width" or "Global Width" value to my liking. With pipe objects, it seems more complicated. I have searched the settings, and the closest thing that I could find was the Lineweight property, but that appears to have no effect on the line thickness in the CAD drawing.
Do I need to tweak a plot setting? Make a new linetype altogether?
I needed to remove a feature line that I used as a break line when creating a surface. When I removed the feature line from the definition of the surface, the grading did not change. It appears the points created by the feature line remain which is why grading didn't change. The only work around was to delete these points.
I noticed the same thing happens when I removed the surface boundary and inserted a new boundary. why these points remain and how to remove when I delete boundary and feature line from surface?
I have a line or a pline segment and i want to start a line from a point laying there and go perpendicular outwards. Is there a way to do it with tracking?
Yes, i saw the command draw line at an angle but i find it a little bit complicated for a simple task like that. I am sure autodesk have a simplest solution about that.
If i am already at the draw line mode and i can easy catch the tracking perpendicular to previous segment but if i want to start from another line and go perpendicular i cannot make the tracking work.